### Function

# Gimp gradient_segment_get_left_color

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_get_left_color (
      const gchar* name,
      gint segment,
      GimpRGB* color,
      gdouble* opacity
    )

#### Description [src]

Retrieves the left endpoint color of the specified segment

This procedure retrieves the left endpoint color of the specified segment of the specified gradient.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The gradient name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`segment`

  Type: `gint`

  The index of the segment within the gradient.

`color`

  Type: `GimpRGB`

  The return color.

  The argument will be set by the function.
  The data is owned by the caller of the function.

`opacity`

  Type: `gdouble*`

  The opacity of the endpoint.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.